package com.jpsoft.shinestar.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.sys.entity.DataDictionary;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface DataDictionaryService {
	DataDictionary get(String id);
	boolean exist(String id);
	int insert(DataDictionary model);
	int update(DataDictionary model);
	int delete(String id);
	String getName(String id);
	String getValue(String id);
	List<DataDictionary> list();
	String findParentId(String parentId,String value);
	List<Map<String, Object>> queryChildren(String parentId);
	Page<DataDictionary> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	List<DataDictionary> findByCatalogName(String catalogName);
	String findNameByCatalogNameAndValue(String catalogName,String value);

    Map<String, DataDictionary> findMapByCatalogName(String catalogName);
}